#Ceratioid 6.9
#correlation matrix + fixed tree mismatch + ap updates
#Final Analyses

setwd("C:/Users/zachh/Dropbox/ceratioid_morphology/Post Review1/R scripts")
getwd()

#read in csv
data=read.csv("raw_data_lophiiformes1.csv")
dim(data)

#Doing transformations and testing for allometry
#All measuremnts are corrected by head length
#Protocol: transform by HL>log transform>test for allometry>If allometry is detected find
#find residuals>add 0.1 so that all residuals are positive>square root the 
#residuals
#.t1 means transformed to head length .res for  residual transformed data, 
#.t means log transformed
#.res1 for positive residuals
#.resf for sqrt and final magnitude of residuals.

#notes about upper jaw measurements. Some measuremnts are found for both
#the upper and lower jaw, '.u' means the measurements is from the upper jaw.

#standarize to head length

hl=data$hl
##--------------Standardizing/transforming measurements----------------###

#Lengths

#Zach, come back to SL and think about this more and how to correct it. 

#gape
gape.t1=(data$gape/hl)
gape.t=log(gape.t1)
lm.gape.t= lm(gape.t~hl)
summary(lm.gape.t)
#NO ALLOMETRY p =0.7579

#tooth region
tooth.reg.t1=(data$tooth.reg/hl)
tooth.reg.t=log(tooth.reg.t1)
lm.tooth.reg.t= lm(tooth.reg.t~hl)
summary(lm.tooth.reg.t)
#NO ALLOMETRY p =0.61

#tooth region.u
tooth.reg.u.t1=(data$tooth.reg.u/hl)
tooth.reg.u.t=log(tooth.reg.u.t1)
lm.tooth.reg.u.t=lm(tooth.reg.u.t~hl)
summary(lm.tooth.reg.u.t)
#NO ALLOMETRY p =0.989


#in lever
li.t1=(data$li/hl)
li.t=log(li.t1)
lm.li.t=lm(li.t~hl)
summary(lm.li.t)
#NO ALLOMETRY p =0.2664

#head height
hh.t1=(data$hh/hl)
hh.t=log(hh.t1)
lm.hh.t=lm(hh.t~hl)
summary(lm.hh.t)
#allometry detected, further transformations needed!
hh.res =resid(lm.hh.t)
hh.res1 = hh.res + abs(min(hh.res))+.01 
hh.resf = sqrt(hh.res1)
lm.hh.resf=lm(hh.resf~hl)
summary(lm.hh.resf)
#no allometry detected, p= 0.7019


#ascending process of the premaxilla
ap.t1=(data$ap/hl)
ap.t=log(ap.t1)
lm.ap.t=lm(ap.t~hl)
summary(lm.ap.t)
#no allometry detected, p=0.1371
#Averages

#average tooth height (lower)
avg.t.t1=(data$avg.t/hl)
avg.t.t=log(avg.t.t1)
lm.avg.t.t=lm(avg.t.t~hl)
summary(lm.avg.t.t)
#no allometry detected, p= 0.1599

#average tooth height (upper)
avg.t.u.t1 = (data$avg.t.u/hl)
avg.t.u.t=log(avg.t.u.t1)
lm.avg.t.u.t=lm(avg.t.u.t ~hl)
summary(lm.avg.t.u.t)
#no allometry detected, p = 0.1329

#average tooth widths (lower)
avg.w.t1=(data$avg.w/hl)
avg.w.t=log(avg.w.t1)
lm.avg.w.t=lm(avg.w.t~hl)
summary(lm.avg.w.t)
#no allometry detected p=0.671

#average tooth widths (upper)
avg.w.u.t1= (data$avg.w.u/hl)
avg.w.u.t=log(avg.w.u.t1)
lm.avg.w.u.t=lm(avg.w.u.t~hl)
summary(lm.avg.w.u.t)
#no allometry detected, p = 0.5441

#average distance between teeth (lower)
avg.d.t1=(data$avg.d/hl)
avg.d.t=log(avg.d.t1)
lm.avg.d.t=lm(avg.d.t~hl)
summary(lm.avg.d.t)
#no allometry detected. p= 0.5016

#average distance between teeth (upper)
avg.d.u.t1=(data$avg.d.u/hl)
avg.d.u.t=log(avg.d.u.t1)
lm.avg.d.u.t=lm(avg.d.u.t~hl)
summary(lm.avg.d.u.t)
#no allometry detected, p=0.8354

#Correting jaw legnth to ameliorate the effects of increasing gape size on 
#jaw length.

#Lower jaw

#lower jaw length
#apply pythagoreans theorom
half.gape=(data$gape/2)
low.jaw.3d=data$low.jaw.3d
low.jaw= sqrt((low.jaw.3d^2)-(half.gape^2))
#check for allometry
low.jaw.t1=(low.jaw/hl)
low.jaw.t=log(low.jaw.t1)
lm.low.jaw.t=lm(low.jaw.t~hl)
summary(lm.low.jaw.t)
#no allometry detected, p= 0.6322


#premax length
premax.3d=data$premax.3d
premax=sqrt((premax.3d^2)-(half.gape^2))
premax.t1=(premax/hl)
premax.t=log(premax.t1)
lm.premax.t=lm(premax.t~hl)
summary(lm.premax.t)
#no allometry detected, p=0.7762

#Not transfored by headlength: 

#tooth counts (only log transformed)

#lower jaw tooth counts
tooth.count=data$tooth.count
tooth.count=log(tooth.count)

#upper jaw tooth counts
tooth.count.u=data$tooth.count.u
tooth.count.u=log(tooth.count.u)

#Corrected by new jaw length:

#in-lever out-lever ratios
li.lo.reg=(data$li/low.jaw)#the mechanichal advantage scores used for the regresssions
li.lo.pca=log(li.lo.reg)

#now we are making opening mech advantage
#desc process
desc.proc=(data$desc.proc/data$low.jaw)
desc.proc=log(desc.proc)
#desc.proc.t=log(desc.proc.t1)
#lm.desc.proc.t=lm(desc.proc.t~hl)
#summary(lm.desc.proc.t)
#NO ALLOMETRY p =0.3411


###

#VARIBALES THAT DO NOT GO IN THE PCA:
#now lets make an object with average tooth spacing and average tooth length for both upper and lower
#adding pre-log transormed values and then re-log transforming (these are for later regressions)
meantooth=(avg.t.t1+avg.t.u.t1)/2
meantooth=log(meantooth)
#test for allometry - 
lm.meantooth.test= lm(meantooth~hl)
summary(lm.meantooth.test)
#no allometry detected, p = 0.06159
#same procedure for meanspace
meanspace=(avg.d.t1+avg.d.u.t1)/2
meanspace=log(meanspace)
lm.meanspace.test=lm(meanspace~hl)
summary(lm.meanspace.test)
meanspace=(avg.d.t1+avg.d.u.t1)/2
meanspace=log(meanspace)
lm.meanspace.test=lm(meanspace~hl)
summary(lm.meanspace.test)


#----------- Collecting Transformation Data-----------
#Create new object that will include all transformed data
#new.data are our transformed variables for our PCA (VARIABLE SET 1)
new.data =as.data.frame(data$Species)
#create the new.data csv
new.data$avg.t = avg.t.t
new.data$avg.t.u= avg.t.u.t
new.data$avg.w= avg.w.t
new.data$avg.w.u=avg.w.u.t
new.data$avg.d=avg.d.t
new.data$avg.d.u=avg.d.u.t
new.data$gape=gape.t
new.data$premax=premax.t
new.data$lower.jaw=low.jaw.t
new.data$tooth.reg=tooth.reg.t
new.data$tooth.reg.u=tooth.reg.u.t
new.data$desc.proc=desc.proc
new.data$li=li.t
new.data$hh=hh.resf
new.data$ap=ap.t
new.data$li.lo.pca=li.lo.pca
new.data$hl=log(hl)


#including tooth counts
new.data$tooth.count.u=tooth.count.u
new.data$tooth.count=tooth.count

#these last two are for regressions not the pca
new.data$meantooth= meantooth
new.data$meanspace= meanspace

#use this lever ratio later for the regressions
new.data$li.lo.reg=li.lo.reg

#no allometry detected 0.6309
#no allometry detected 0.6309
#additional objects that will not be used downstream, but not in the pca:
new.data$group=data$group #i.e., benthic lophiiforms and ceratioids
new.data$group2=data$group2 # doesn't include 'wolftrap' used for hypervolumes. 
new.data$families=data$Families
new.data$uce=data$uce # used simply taxon list to only those included in the phylo
new.data$mito=data$mito # used simply taxon list to only those included in the phylo
new.data$spp=data$spp # names of species without voucher information 

dim(new.data)



# make species names the row names, not a separate column
rownames(new.data) = new.data$`data$Species`
rownames(new.data)
new.data <- new.data[,-1]
head(new.data)

write.csv(new.data, "transformed_all_species.csv")


#making a figure to validate jaw correction

low.jaw.3d.test = low.jaw.3d/hl
low.jaw.corrected = low.jaw.t1
ratio = low.jaw.3d.test/low.jaw.corrected
hist(ratio)
plot(ratio~gape.t1, col= as.factor(new.data$group), pch =16)
test =lm(ratio~gape.t1)
summary(test)
abline(test)
plot(ratio~gape.t1, col= as.factor(new.data$group), pch =16)
text(gape.t1, ratio, labels = new.data$spp)



