#permutation test with wolftrap anglerfishes 3.20.23

#Set working directory
setwd("C:/Users/zachh/Dropbox/ceratioid_morphology/Post Review1/Submission_Prep2/Dryad2/Measurement data")

#install the Momocs package. The developers recommend the GitHub version.
#note: you will Rtools to install with this method.
devtools::install_github("MomX/Momocs")
library(Momocs)

new.data = read.csv("transformed_all_species.csv")
new.data

#remove the first column so that species names are rownames
new.data=new.data[,-1]
head(new.data)

#now make a PCA for this data. The area of this PCA will be used to find size of morphospace pre sample size correction
pca = prcomp(new.data[,1:19], scale =T)
autoplot(pca) # make sure it works
#force the class to be PCA so it will run with the Momocs package:
class(pca) = "PCA"
#use the Momocs package to check the surface areas, note 57 ceratioids are in this PCA
#note we are factoring by group2 - this vector codes wolftraps as ceratioids. 
area57=get_chull_area(pca, fac = as.factor(new.data$group2), xax =1, yax=2)
area57
#now find the ratio of ceratioids to benthic lophiiforms
ratio57=area57$Ceratioids/area57$`Benthic lophiiforms`
ratio57# ratio is 4.301


#now we want to extract all of the ceratioids into a single dataframe
cerat.only =subset(new.data, new.data$group2 != "Benthic lophiiforms") #drops benthic lophs
dim(cerat.only)#should be 42 ceratioids
#now a data frame with only benthic lophs
benthic.only = subset(new.data, new.data$group2 !="Ceratioids")
dim(benthic.only)# should be 15 benthic lophs

concat.ratio = c()
#now it is time to find the areas of morphospace based on 10,000 permutations.
for (i in 1:10000){
  #sample 15 random ceratioids form our dataframe
  cerat15 = cerat.only[sample(nrow(cerat.only), 15), ]
  #combine the 15 ceratioids with the benthic lophiiforms for a total of 30 lophiiforms
  loph30 = rbind(cerat15, benthic.only)
  #generate a PCA based on 30 species
  pca30= prcomp(loph30[,1:19], scale =T)
  class(pca30) = "PCA"
  area30 = get_chull_area(pca30, fac = as.factor(loph30$group2), xax =1, yax = 2)
  area30
  ratio30 = area30$Ceratioids/area30$`Benthic lophiiforms`
  ratio30
  concat.ratio = c(concat.ratio, ratio30)
  
}

test=median(concat.ratio)
test

hist(concat.ratio) 
  abline(v = ratio57,
         col ="blue", lwd =3, lty =2) 
abline(v = test,
       col ="red", lwd =3, lty =2) 

#As a test I ran 100,000 permutations and it took ~ 2 minutes. Median was 2.122
ratio57#number before sample size correction
test#number post sample size correction
