Zach Heiple, Jonathan M. Huie, Aline Medeiros, Pamela Hart, Christopher Goatley, Dahiana Arcila, Elizabeth C. Miller 
“Many ways to build an angler: diversity of feeding morphologies in a deep-sea evolutionary radiation” 
Biology Letters, 2023. DOI: 10.1098/rsbl.2023.0049

Dryad package prepared on June 13th, 2023
---

#Folder breakdown (1-3)

1. Measurement data -
	1a. raw_data_lophiiformes1. This data file contains the raw measurements taken from CT scans.
    ##Explination of columns; '.u' indicates trait measurement from the upper jaw.  All measuremnts have units of millimeters unless stated otherwise. 
		#Species: Names of taxa used in the dataset.
		#avg.t - Average tooth length (lower jaw)
		#avg.w - Average tooth width (lower jaw)
		#avg.d - Average tooth spacing (lower jaw)
		#SL- Standard length (not included in analyses)
		#gape - Horizontal gape 
		#tooth.reg - Tooth region (lower jaw)
		#desc.proc - Jaw opening in-lever length
		#li - Jaw closing in-lever length
		#hl - Head length
		#hh - Head height
		#ap - Ascending process of the premaxilla
		#tooth.count - Tooth count (lower jaw) (units: number of teeth)
		#low.jaw.3d - Uncorrected lower jaw length
		#premax.3d - Uncorrected upper jaw length
		#avg.t.u - Average tooth length (upper jaw)
		#avg.w.u- Average tooth width (upper jaw)
		#avg.d.u - Average tooth spacing (upper jaw)
		#tooth.reg.u - Tooth region (upper jaw)
		#tooth.count.u - Tooth count (upper jaw)
		#group -  Either 'Ceratioids', 'Benthic lophiiforms', or 'Wolftrap anglers'; used for coloring schemes in figures
         #group2: Either 'Ceratioids' or "Benthic lophiiforms'. This is different from 'group' in that 'Wolftrap anglers' are coded as ceratioids. 
		#Families - Taxa coded by families 
		#uce: Indicates the names of the taxa as they appear on the tree estimated for this study. Names apply to Loph_phylo_HartBackbone.tre.
		#mito: Indicates the names of the taxa as they appear on the tree estimated for this study. Names apply to Loph_phylo_MiyaBackbone.tre.
        #Chimera -if 'yes', then a representative CO1 sequence (always a fish from the same genus) was used to represent a fish for which we had collected morphological data. If n/a is supplied then there was no adequate representative in the Hart or Miya tree. 'No' is supplied if the species in the phylogenetic tree had a matching CO1 sequence for the same species.
        #CO1 - CO1 voucher ID
		#Species of interest in Miya/Hart backbone: In order to perform backbone constraints we needed to match the tips of the published phylogenetic trees (i.e., Hart and Miya) to the available CO1 sequences. This column details which species were used from their respective backbones. 
        #mus - Museum
        #num - Catalogue number
        #voxel(um) - resolution of scans in micrometers


1b.transformed_all_species.csv - A CSV file containing transformed data to be read in for analyses. Length values become unitless upon transormation; non length values are only log transformed, units provided:
		#Explination of columns; '.u' indicates trait measurement from the upper jaw.  
		#Species: Names of taxa used in analyses; names are changed to COI voucher IDs where applicable. 
		#avg.t & avg.t.u: Average tooth length
		#avg.w & avg.w.u : Average tooth width 
		#avg.d & avg.d.u: Average tooth spacing 
		#gape: Horizontal gape 
		#premax: Corrected premaxilla length
		#lower.jaw: Corrected lower jaw length
		#tooth.reg & tooth reg.u: Tooth region
		#desc.proc: Jaw opening mechanical advantage 
		#li: Jaw opening in-lever length 
		#hh: Head height
		#ap: Ascending process of the premaxilla
		#li.lo.pca: Jaw closing mechanical advantage (log transformed and used in the PCA)
		#hl: Head length
		#tooth.count & tooth.count.u: Tooth count (units: number of teeth)
		#meantooth: An average of the upper and lower jaw tooth lengths.
		#meanspace: An average of the spacing of the tooth spacing in the upper jaw and tooth spacing in the lower jaw. 
		#li.lo.reg: This is the values of mechanichal advantage ratios used in the regressions; pre log transformation. 
		#group: Either 'Ceratioids', 'Benthic lophiiforms', or 'Wolftrap anglers'; used for coloring schemes in figures
            #group2: Either 'Ceratioids' or "Benthic lophiiforms'. This is different from 'group' in that 'Wolftrap anglers' are coded as ceratioids. 
            #families: Taxa coded by families
            #uce: Indicates the names of the taxa as they appear on the tree estimated for this study. Names apply to 				hart_ultrametric.tre.
            #mito: Indicates the names of the taxa as they appear on the tree estimated for this study. Names apply to 				miya_ultrametric.
            #CO1 - CO1 voucher ID
            #spp - names of species, used for adding names to graphs in R. 

2. Phylogenetic trees -
## Description of the data in this folder:

	2a. hart_ultrametric - A phylogenetic tree estimated using nucleotide sequences from the Cytochrome Oxidase 1 gene and topological constraints based 
	on Hart et al 2022. Made ultrametric using non-parametric rate smoothing

	2b. miya_ultrametric - A phylogenetic tree estimated using nucleotide sequences from the Cytochrome Oxidase 1 gene and topological constraints based 
	on Miya et al 2010. Made ultrametric using non-parametric rate smoothing
	
	Folder called "raxml inputs" contains the following:
	
		2c. CO1 alignment for species matching the Hart backbone
		2d. CO1 alignment for species matching the Miya backbone
		2e. Hart backbone topology
		2f. Miya backbone topology
		2g. RaxML best tree produced based on the Hart backbone (branch lengths in substitution units)
		2h. RaxML best tree produced based on the Hart backbone (branch lengths in substitution units)
		2i. CO1_partition_file.PART is the codon partition file used as input for RaxML
			
3. R Scripts - 
	3a. data_transoformations.r - Script used to produce "transformed_all_species.csv". Also, this script is used to generate figure 	S2c.
	3b. Loph_analyses_non_phylogenetic.r - The script used to run analyses that do not include phylogenetic correction
	3c. Loph_analyses_HART.r - The script used to run analyses and included phylogenetic corrections; utilizes our phylogenetic 	hypotheses 	with topological constraints to match Hart et al., 2022
	3d. Loph_analyses_MIYA.r - The script used to run analyses and included phylogenetic corrections; utilizes our phylogenetic 	hypotheses 	with topological constraints to match Miya et al., 2010
	3e. permutationsWITHwolf.r - The script used to estimate areas of morphospace occupied by ceratioids and compare it to the 	proportion of moprhospace occupied by the benthic lophiiforms. This analysis codes wolftrap anglerfishes as ceratioids.  
	3f. permutationsnowolf.r -The script used to estimate areas of morphospace occupied by ceratioids and compare it to the 	proportion of moprhospace occupied by the benthic lophiiforms. This analysis excludes wolftrap anglerfishes becuase they are 	outliers and may overestimate the morphospace. 

